type CacheItem = {
    promise: Promise<any> | null;
};
declare class GlobalCacheManager {
    private static instance;
    private cacheMap;
    private constructor();
    static getInstance(): GlobalCacheManager;
    get(cacheKey: string): CacheItem | undefined;
    set(cacheKey: string, item: CacheItem): void;
    delete(cacheKey: string): void;
}
export declare const globalCache: GlobalCacheManager;
export {};
